%define base_name	lablgtk
%define name		ocaml-%{base_name}
%define version		1.2.7
%define release		%mkrel 9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml interface to the GIMP Tool Kit
Source:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgtk-%{version}.tar.bz2
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgtk.html
License:	LGPL
Group:		Development/Other
BuildRequires:	camlp4
BuildRequires:	gtk-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
OCaml interface to the GIMP Tool Kit.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	gtk-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}

%build
make configure
make
make opt

%install
rm -rf %{buildroot}
destdir=`ocamlc -where`
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}$destdir/stublibs
make install \
	BINDIR=%{buildroot}%{_bindir} \
	INSTALLDIR=%{buildroot}$destdir/lablgtk \
	DLLDIR=%{buildroot}$destdir/stublibs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/ocaml/stublibs/*

%files devel
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_libdir}/ocaml/lablgtk

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-9mdv2007.0
- Rebuild

* Tue Apr 25 2006 Pixel <pixel@mandriva.com> 1.2.7-8mdk
- rebuild for new ocaml

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 1.2.7-7mdk
- only the stublibs are non-devel stuff (ie not requiring ocaml)

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 1.2.7-6mdk
- rebuild for new ocaml

* Fri Jan 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-5mdk
- spec cleanup
- splti devel file in subpackage

* Mon Nov  7 2005 Pixel <pixel@mandriva.com> 1.2.7-4mdk
- rebuild for new ocaml

* Thu Nov  3 2005 Pixel <pixel@mandriva.com> 1.2.7-3mdk
- rebuild for ocaml 3.08.3 (otherwise some builds fail) (thanks to Anssi Hannula)

* Sun Feb  6 2005 Pixel <pixel@mandrakesoft.com> 1.2.7-2mdk
- rebuild for ocaml 3.08.2 (otherwise one get error "... inconsistent assumptions over implementation Thread")

* Tue Nov 23 2004 Pixel <pixel@mandrakesoft.com> 1.2.7-1mdk
- new release

* Tue Nov 23 2004 Pixel <pixel@mandrakesoft.com> 1.2.6-3mdk
- rebuild

* Sun Oct 10 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.6-2mdk
- drop patch

* Sat Jan 03 2004 Laurent Culioli <laurent@pschit.net> 1.2.6-1mdk
- 1.2.6

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 1.2.5-2mdk
- add "BuildRequires: gtk-devel"

* Sun Sep 15 2002 Pixel <pixel@mandrakesoft.com> 1.2.5-1mdk
- new version
- build for new ocaml

* Wed Aug  7 2002 Pixel <pixel@mandrakesoft.com> 1.2.4-1mdk
- new version
- build for new ocaml

* Thu Jan 17 2002 Pixel <pixel@mandrakesoft.com> 1.2.3-1mdk
- new version

* Fri Oct  5 2001 Pixel <pixel@mandrakesoft.com> 1.2.1-1mdk
- initial spec

# end of file
